ur_rna.Utilities

## Class NamedArg

- java.lang.Object
- - ur_rna.Utilities.NamedArg

-     public class NamedArg
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `name`
    `java.lang.Object` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedArg(java.lang.String name, java.lang.Object value)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `boolValue()`
    `char` | `charValue()`
    `double` | `doubleValue()`
    `float` | `floatValue()`
    `boolean` | `hasName()`
    `int` | `intValue()`
    `java.lang.String` | `stringValue()`
    `static java.util.Map<java.lang.String,java.lang.Object>` | `toMap(NamedArg[] args, boolean includeUnnamed)`
    `static java.util.Map<java.lang.String,java.lang.Object>` | `toMap(NamedArg[] args, boolean includeUnnamed, java.lang.String prefixUnnamed)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final java.lang.String name

    - #### value

          public final java.lang.Object value

  - ### Constructor Detail

    - #### NamedArg

          public NamedArg(java.lang.String name,
                          java.lang.Object value)

  - ### Method Detail

    - #### boolValue

          public boolean boolValue()

    - #### charValue

          public char charValue()

    - #### doubleValue

          public double doubleValue()

    - #### floatValue

          public float floatValue()

    - #### hasName

          public boolean hasName()

    - #### intValue

          public int intValue()

    - #### stringValue

          public java.lang.String stringValue()

    - #### toMap

          public static java.util.Map<java.lang.String,java.lang.Object> toMap(NamedArg[] args,
                                                                               boolean includeUnnamed)

    - #### toMap

          public static java.util.Map<java.lang.String,java.lang.Object> toMap(NamedArg[] args,
                                                                               boolean includeUnnamed,
                                                                               java.lang.String prefixUnnamed)